# Visualization
TKMeshVS
MeshVS

# MeshVS_Buffer Class Reference

`#include <MeshVS_Buffer.hxx>`

## Public Member Functions

| MeshVS_Buffer (const Standard_Size theSize)
| Constructor of the buffer of the requested size.
| ~MeshVS_Buffer ()
| Destructor.
| operator void * ()
| Cast the buffer to the void pointer.
| operator Standard_Real & ()
| Interpret the buffer as a reference to double.
| operator Standard_Integer & ()
| Interpret the buffer as a reference to int.

## Private Member Functions

| MeshVS_Buffer (const MeshVS_Buffer &)
| Deprecate copy constructor.
MeshVS_Buffer & | operator= (const MeshVS_Buffer &)
| Deprecate copy operation.

## Private Attributes

char | myAutoData [MeshVS_BufSize]
void * | myDynData

## Constructor & Destructor Documentation

MeshVS_Buffer::MeshVS_Buffer | ( | const Standard_Size | theSize | ) | `[inline]`

MeshVS_Buffer::~MeshVS_Buffer | ( |  | ) | `[inline]`

MeshVS_Buffer::MeshVS_Buffer | ( | const MeshVS_Buffer & |  | ) | `[inline, private]`

## Member Function Documentation

MeshVS_Buffer::operator Standard_Integer & | ( |  | ) | `[inline]`

MeshVS_Buffer::operator Standard_Real & | ( |  | ) | `[inline]`

MeshVS_Buffer::operator void * | ( |  | ) | `[inline]`

MeshVS_Buffer& MeshVS_Buffer::operator= | ( | const MeshVS_Buffer & |  | ) | `[inline, private]`

## Field Documentation

char MeshVS_Buffer::myAutoData[MeshVS_BufSize]`[private]`

void* MeshVS_Buffer::myDynData `[private]`

The documentation for this class was generated from the following file:

- MeshVS_Buffer.hxx